TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

StringMatchPositions ( string rexp, string s ) -> list match-strings

### Description

<shortdoc> Return a list of substring registers (i.e. a list of beginning and end positions in the string `s') matching the regular expression pattern `rexp'. </shortdoc>

### Examples

StringMatchPositions("fo+ b.r", "foo bar fooooo bar fooo baz");

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack